Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452450 (F-Spacewalk) - Tracking: Include Spacewalk (and dependencies) in Fedora
Summary: Tracking: Include Spacewalk (and dependencies) in Fedora
Keywords:
Status: CLOSED WONTFIX
Alias: F-Spacewalk
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Clifford Perry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 452449 452453 452454 452455 452456 452457 452458 452601 452616 452832 nocpulse-common 453111 453457 455266 455443 461736 466777 466879 466906 perl-NOCpulse-Utils 468299 spacewalk-koan 483016 rhnpush perl-NOCpulse-Object perl-NOCpulse-CLAC rhnlib perl-NOCpulse-Gritch eventReceivers rhn-client-tools rhncfg spacewalk-config spacewalk-proxy-html spacewalk-proxy-docs rhnsd yum-rhn-plugin spacewalk-certs-tool rhnmd rhn-custom-info python-gudev python-debian spacewalk-backend PyPAM spacecmd spacewalk-branding python-gzipstream spacewalk-web spacewalk-admin spacewalk-pylint 807479 822443
Blocks: F13Target
TreeView+ depends on / blocked
 
Reported: 2008-06-23 02:07 UTC by Nigel Jones
Modified: 2016-02-19 09:43 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-19 09:43:51 UTC


Attachments (Terms of Use)

Description Nigel Jones 2008-06-23 02:07:04 UTC
Tracker bug for including Spacewalk (https://fedorahosted.org/spacewalk) in Fedora.

Review Bugs are the main ones that come to mind.

Setting to F11 Target tentatively.

Comment 1 Michael DeHaan 2008-06-23 12:44:57 UTC
F11 timeframe may be likely, though we can really get it into F-10 if it's also
still recieving updates when that happens, thanks to 'updates'.  Let's make sure
everything remains F-10 compatible.

Main things that need to be done.

(1) open source database support
(2) package all dependencies, determine maintainers, and file review requests*
(3) get source RPMs out there, and tarballs (which will be needed for package
review approval)

* = the EPEL "layered products" discussion probably also needs to happen with
EPEL steering if not done so already, though I believe we can use FreeIPA as a
precedent if it's included.  If not includable, we at least can and should
include all of the dependencies for easier installation as well as benefit to
other apps that might want to use them.

** = for applications/libs that are more unique/useful and have Satellite
developers as maintainers in RHEL today, they should possibly be spawned as
seperate subprojects in Fedora/EPEL so they can achieve some new life.  Possibly
OSAD if not done so already?








Comment 2 Miroslav Suchý 2009-02-24 13:30:39 UTC
We will not make support for PostgreSQL till F-11 GA for sure. 
Moving target to F-12.

Comment 3 Jan Pazdziora 2010-11-19 16:05:51 UTC
Mass-moving to space13.

Comment 4 Miroslav Suchý 2011-04-11 07:34:25 UTC
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.

Comment 5 Miroslav Suchý 2011-04-11 07:37:33 UTC
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.

Comment 6 Jan Pazdziora 2011-07-20 11:53:06 UTC
Aligning under space16.

Comment 7 Tomas Lestach 2016-02-19 09:43:51 UTC
We don't want to include Spacewalk to Fedora anymore. Closing.


Note You need to log in before you can comment on or make changes to this bug.